Generate a pix payment
curl --request POST \
--url https://api.sandbox.trio.com.br/v2/out/pix \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'Trio-Version: <trio-version>' \
--data '
{
"amount": 100,
"bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"counterparty": {
"bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "123456",
"type": "checking"
},
"name": "John Doe",
"tax_number": "52998224725"
},
"description": "description",
"external_id": "external_id 1",
"type": "bank_account"
}
'import requests
url = "https://api.sandbox.trio.com.br/v2/out/pix"
payload = {
"amount": 100,
"bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"counterparty": {
"bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "123456",
"type": "checking"
},
"name": "John Doe",
"tax_number": "52998224725"
},
"description": "description",
"external_id": "external_id 1",
"type": "bank_account"
}
headers = {
"Trio-Version": "<trio-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Trio-Version': '<trio-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 100,
bank_account_id: '1a760495-cb95-4023-96e8-0cff5776b010',
counterparty: {
bank_account: {
branch: '0001',
digit: '1',
ispb: '12345678',
number: '123456',
type: 'checking'
},
name: 'John Doe',
tax_number: '52998224725'
},
description: 'description',
external_id: 'external_id 1',
type: 'bank_account'
})
};
fetch('https://api.sandbox.trio.com.br/v2/out/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.trio.com.br/v2/out/pix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 100,
'bank_account_id' => '1a760495-cb95-4023-96e8-0cff5776b010',
'counterparty' => [
'bank_account' => [
'branch' => '0001',
'digit' => '1',
'ispb' => '12345678',
'number' => '123456',
'type' => 'checking'
],
'name' => 'John Doe',
'tax_number' => '52998224725'
],
'description' => 'description',
'external_id' => 'external_id 1',
'type' => 'bank_account'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"Trio-Version: <trio-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.trio.com.br/v2/out/pix"
payload := strings.NewReader("{\n \"amount\": 100,\n \"bank_account_id\": \"1a760495-cb95-4023-96e8-0cff5776b010\",\n \"counterparty\": {\n \"bank_account\": {\n \"branch\": \"0001\",\n \"digit\": \"1\",\n \"ispb\": \"12345678\",\n \"number\": \"123456\",\n \"type\": \"checking\"\n },\n \"name\": \"John Doe\",\n \"tax_number\": \"52998224725\"\n },\n \"description\": \"description\",\n \"external_id\": \"external_id 1\",\n \"type\": \"bank_account\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Trio-Version", "<trio-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.trio.com.br/v2/out/pix")
.header("Trio-Version", "<trio-version>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 100,\n \"bank_account_id\": \"1a760495-cb95-4023-96e8-0cff5776b010\",\n \"counterparty\": {\n \"bank_account\": {\n \"branch\": \"0001\",\n \"digit\": \"1\",\n \"ispb\": \"12345678\",\n \"number\": \"123456\",\n \"type\": \"checking\"\n },\n \"name\": \"John Doe\",\n \"tax_number\": \"52998224725\"\n },\n \"description\": \"description\",\n \"external_id\": \"external_id 1\",\n \"type\": \"bank_account\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.trio.com.br/v2/out/pix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Trio-Version"] = '<trio-version>'
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 100,\n \"bank_account_id\": \"1a760495-cb95-4023-96e8-0cff5776b010\",\n \"counterparty\": {\n \"bank_account\": {\n \"branch\": \"0001\",\n \"digit\": \"1\",\n \"ispb\": \"12345678\",\n \"number\": \"123456\",\n \"type\": \"checking\"\n },\n \"name\": \"John Doe\",\n \"tax_number\": \"52998224725\"\n },\n \"description\": \"description\",\n \"external_id\": \"external_id 1\",\n \"type\": \"bank_account\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"approval_request_id": null,
"out_document_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}QR Code
Generate a Pix Payment (BR Code)
Generates a pix payment
POST
/
v2
/
out
/
pix
Generate a pix payment
curl --request POST \
--url https://api.sandbox.trio.com.br/v2/out/pix \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'Trio-Version: <trio-version>' \
--data '
{
"amount": 100,
"bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"counterparty": {
"bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "123456",
"type": "checking"
},
"name": "John Doe",
"tax_number": "52998224725"
},
"description": "description",
"external_id": "external_id 1",
"type": "bank_account"
}
'import requests
url = "https://api.sandbox.trio.com.br/v2/out/pix"
payload = {
"amount": 100,
"bank_account_id": "1a760495-cb95-4023-96e8-0cff5776b010",
"counterparty": {
"bank_account": {
"branch": "0001",
"digit": "1",
"ispb": "12345678",
"number": "123456",
"type": "checking"
},
"name": "John Doe",
"tax_number": "52998224725"
},
"description": "description",
"external_id": "external_id 1",
"type": "bank_account"
}
headers = {
"Trio-Version": "<trio-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Trio-Version': '<trio-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 100,
bank_account_id: '1a760495-cb95-4023-96e8-0cff5776b010',
counterparty: {
bank_account: {
branch: '0001',
digit: '1',
ispb: '12345678',
number: '123456',
type: 'checking'
},
name: 'John Doe',
tax_number: '52998224725'
},
description: 'description',
external_id: 'external_id 1',
type: 'bank_account'
})
};
fetch('https://api.sandbox.trio.com.br/v2/out/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.trio.com.br/v2/out/pix",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 100,
'bank_account_id' => '1a760495-cb95-4023-96e8-0cff5776b010',
'counterparty' => [
'bank_account' => [
'branch' => '0001',
'digit' => '1',
'ispb' => '12345678',
'number' => '123456',
'type' => 'checking'
],
'name' => 'John Doe',
'tax_number' => '52998224725'
],
'description' => 'description',
'external_id' => 'external_id 1',
'type' => 'bank_account'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"Trio-Version: <trio-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.trio.com.br/v2/out/pix"
payload := strings.NewReader("{\n \"amount\": 100,\n \"bank_account_id\": \"1a760495-cb95-4023-96e8-0cff5776b010\",\n \"counterparty\": {\n \"bank_account\": {\n \"branch\": \"0001\",\n \"digit\": \"1\",\n \"ispb\": \"12345678\",\n \"number\": \"123456\",\n \"type\": \"checking\"\n },\n \"name\": \"John Doe\",\n \"tax_number\": \"52998224725\"\n },\n \"description\": \"description\",\n \"external_id\": \"external_id 1\",\n \"type\": \"bank_account\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Trio-Version", "<trio-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.trio.com.br/v2/out/pix")
.header("Trio-Version", "<trio-version>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 100,\n \"bank_account_id\": \"1a760495-cb95-4023-96e8-0cff5776b010\",\n \"counterparty\": {\n \"bank_account\": {\n \"branch\": \"0001\",\n \"digit\": \"1\",\n \"ispb\": \"12345678\",\n \"number\": \"123456\",\n \"type\": \"checking\"\n },\n \"name\": \"John Doe\",\n \"tax_number\": \"52998224725\"\n },\n \"description\": \"description\",\n \"external_id\": \"external_id 1\",\n \"type\": \"bank_account\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.trio.com.br/v2/out/pix")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Trio-Version"] = '<trio-version>'
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 100,\n \"bank_account_id\": \"1a760495-cb95-4023-96e8-0cff5776b010\",\n \"counterparty\": {\n \"bank_account\": {\n \"branch\": \"0001\",\n \"digit\": \"1\",\n \"ispb\": \"12345678\",\n \"number\": \"123456\",\n \"type\": \"checking\"\n },\n \"name\": \"John Doe\",\n \"tax_number\": \"52998224725\"\n },\n \"description\": \"description\",\n \"external_id\": \"external_id 1\",\n \"type\": \"bank_account\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"approval_request_id": null,
"out_document_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}Authorizations
Headers
ID of another org to act on instead of the API key's own org. The key's org must have been granted access to it, and the request is refused with 403 FORBIDDEN otherwise. When that access or the API key is read-only, only GET and HEAD requests may carry it. When the target org requires mTLS, so does the request. Leave it out to act on the key's own org.
Body
application/json
Pix payload
Body params to pay a Pix. A key or a brcode is paid by the check made for it (check_id); a bank account is paid to the counterparty given.

